public static interface XsltEndpointBuilderFactory.XsltBuilders
| Modifier and Type | Method and Description |
|---|---|
default XsltEndpointBuilderFactory.XsltEndpointBuilder |
xslt(String path)
XSLT (camel-xslt)
Transforms XML payload using an XSLT template.
|
default XsltEndpointBuilderFactory.XsltEndpointBuilder |
xslt(String componentName,
String path)
XSLT (camel-xslt)
Transforms XML payload using an XSLT template.
|
default XsltEndpointBuilderFactory.XsltEndpointBuilder xslt(String path)
xslt:resourceUri
Path parameter: resourceUri (required)
Path to the template. The following is supported by the default
URIResolver. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethodpath - resourceUridefault XsltEndpointBuilderFactory.XsltEndpointBuilder xslt(String componentName, String path)
xslt:resourceUri
Path parameter: resourceUri (required)
Path to the template. The following is supported by the default
URIResolver. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethodcomponentName - to use a custom component name for the endpoint
instead of the default namepath - resourceUriApache Camel